///tutorials

.lined-steps p {
  border-bottom: 1px solid  palette(grey, dark);
  padding: 25px 0;
  margin-bottom: 0;
}

.tutorial{

  @include element(text) {
    padding:40px 0;
    @include animation('fadeIn .6s ease-in');
      p, h2{
        padding-left: 20px;
      }

    @include pretab {
      @include fontSize(14px);
    }

    @include tab {
      @include fontSize(16px);
      width:55%;
      float:left;
      border-right: palette(grey, dark) 1px solid;
      padding:40px 20px 0px 20px;
      margin:0;

    }
  }
}

.tutorial__intro-text {

  @include tab {
   width:50%;
   @include fontSize(18px);
   padding:20px 0;
  }
}


.tutorial__image , .tutorial__code {
  position: relative;
  // display: flex;
  // flex-direction: column;

  img, pre{
    display:block;
    margin:0 auto;
  }

  @include tab {
    width: 45%;
    padding:40px 20px 0px 20px;
  }
}


.tutorial__row {
  overflow: hidden;
  margin: 20px 0;
  display: flex;
  flex-direction:column;

  @include tab {
    flex-direction: row;
  }
}

.tut-box-pre {
  padding:40px;
}

.secondary-tut-link{
  font-family: $font-stack;
  @include fontSize(10px);
  text-transform:uppercase;
  display:inline-block;
  margin:0 2.5em 1em 0;
  font-weight:bold;
  letter-spacing: 1px;
}

.previous-page-link {
  padding-left:20px;
  position:relative;

  &:before {
    content: "";
    width: 0;
    height: 0;
    border-top: 5px solid transparent;
    border-bottom: 5px solid transparent;
    border-right: 5px solid palette(purple, base);
    display: inline-block;
    position:absolute;
    top: 9px;
    left: 5px;
    z-index:200;
    transition: all .3s linear;
  }

  &:hover {
    &:before{
      left: 2px;
      border-right: 5px solid palette(orange, base);
    }
  }
}

.pagination{
  clear: both;
  border-top: 1px solid palette(grey,dark);
  padding-top: 20px;
  margin-top: 80px;
}

.tut-toggle {
  padding: 10px 0px 10px 20px;
  letter-spacing: 0.25px;
  width: 100%;
  z-index: 1;
  position:relative;
  padding-left: 20px;
  transition: background .3s ease-in;
  &:after {
    content: "?";
    color: #85649c;
    font-size: 12px;
    margin: 0;
    font-weight: 700;
    display: inline-block;
    margin-left: 8px;
    background: palette(grey,base);
    border: 1px solid #FAFBF3;
    text-align: center;
    border-radius: 100%;
    width: 18px;
    height: 18px;
    line-height: 1.4;
    position:relative;
    bottom: 1px;
  }
  &:hover {
    cursor: pointer;
  }
}

.tut-toggle-on {
  color: palette(purple, base);
}

.tut-extra-content {
  background: #FAFBF3;
  padding: 20px 40px 20px 20px;
  @include animation('basicSlideDown .3s linear');
  margin: -1px 0 0;
  line-height: 1.8;
  border: 1px solid palette(grey,dark);
  p, ul{
    margin-bottom: 0;
    font-size: 15px;
    border: none;
  }
  ul li{
    margin-bottom: 16px;
  }
  h3 {
    letter-spacing: 1px;
    margin-top: 20px;
    @include fontSize(14px);
  }
  &:before {
    content: "";
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #FFFDF2;
    position:absolute;
    top: -1px;
    left:14px;
    z-index:200;
    filter: drop-shadow(0px 1px 0 palette(grey,dark));
  }
}

.hidden {
  display: none
}
.not-hidden {
  display: block;
}


//tut steps [+learn more] second option styles not in use at the moment.......
.tut-step {
  color: #85649c;
}

.learn-more {
  margin-left: 4px;
  @include fontSize(8px);
  text-transform: uppercase;
  color: #85649c;
  letter-spacing: .5px;
  font-weight: 700;
  .dropdown__plus-icon-svg{
    stroke: #85649c;
    width: 6px;
    stroke-width: 5px
  }
}

.tut-toggle-on .learn-more svg {
  transform: rotate(45deg);
}
